#include "statuswidget.h"
#include "ui_statuswidget.h"
#include "widgets/mainwindow.h"

#include <QDesktopServices>
#include <QUrl>
#include <QDebug>
#include <QMessageBox>

StatusWidget::StatusWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::StatusWidget)
{
    ui->setupUi(this);
    connect(ui->announcements_list, &NewsListWidget::newsUpdated, this, &StatusWidget::invokeUpdateFontSize);
}

StatusWidget::~StatusWidget()
{
    delete ui;
}

void StatusWidget::invokeUpdateFontSize()
{
    MainWindow* window = qobject_cast<MainWindow*>(parentWidget()->parentWidget()->parentWidget());
    window->changeFontSizeRecursive(100, this);
}

void StatusWidget::on_site_link_button_clicked()
{
    QDesktopServices::openUrl(QUrl("http://translate.lotros.ru/"));
}

void StatusWidget::on_forum_link_button_clicked()
{
    QDesktopServices::openUrl(QUrl("http://lotros.ru/"));
}

void StatusWidget::on_guides_link_button_clicked()
{
    QDesktopServices::openUrl(QUrl("http://translate.lotros.ru/guides"));
}

void StatusWidget::on_addons_link_button_clicked()
{
    QDesktopServices::openUrl(QUrl("http://translate.lotros.ru/mathoms"));
}

void StatusWidget::on_bugreport_link_button_clicked()
{
    QDesktopServices::openUrl(QUrl("http://translate.lotros.ru/bugs/add"));
}

void StatusWidget::on_donate_link_button_clicked()
{
    QMessageBox::information(this, "Страницы не существует!", "Нужно создать страницу для доната!");
}
