#ifndef STATUSWIDGET_H
#define STATUSWIDGET_H

#include <QWidget>

namespace Ui {
class StatusWidget;
}

class StatusWidget : public QWidget
{
    Q_OBJECT

public:
    explicit StatusWidget(QWidget *parent = 0);
    ~StatusWidget();

private slots:

    void invokeUpdateFontSize();

    void on_site_link_button_clicked();

    void on_forum_link_button_clicked();

    void on_guides_link_button_clicked();

    void on_addons_link_button_clicked();

    void on_bugreport_link_button_clicked();

    void on_donate_link_button_clicked();

private:
    Ui::StatusWidget *ui;

    const QColor inWorkColor = QColor(85, 170, 255);
    const QColor readyColor = QColor(0, 170, 0);
    const QColor errorColor = QColor(255, 85, 0);

    const QString inWorkIconStyle = "image: url(:/assets/info.png);";
    const QString readyIconStyle = "image: url(:/assets/ok.png);";
    const QString criticalIconStyle = "image: url(:/assets/critical.png);";
    const QString warningIconStyle = "image: url(:/assets/warning.png);";
};

#endif // STATUSWIDGET_H
